Zoey REST API reference ยท Interactive version: apidocs.zoey.com
Catalog
Catalog: Products
Categories
Used to manage which products are assigned to which categories.
Get
GET https://container-url.zoeysite.com/api/rest/products/:productId/categories
Get the categories that are associated with the product.
Example response (Get), HTTP 200:
[
{
"category_id": "4"
},
{
"category_id": "5"
}
]
Set
POST https://container-url.zoeysite.com/api/rest/products/:productId/categories
Set categories to a product.
Example request body:
{
"category_id": "5"
}
Delete
DELETE https://container-url.zoeysite.com/api/rest/products/:productId/categories/:categoryId
Remove a product from a category.
Images
Allows you to manage images that are associated with products.
Store
Get All
GET https://container-url.zoeysite.com/api/rest/products/:productId/images/store/:storeId
Allows you to retrieve information about product images for a specified store view.
Images can have different labels for different stores. For example, image label "flower" in the English store view can be set as "fleur" in the French store view. If there are custom attributes with the Catalog Input Type for Store Owner option set to Media Image, these attributes will be also returned in the response as an image type.
Example response (Get All), HTTP 200:
[
{
"id": "450",
"label": "",
"position": "1",
"exclude": "0",
"url": "https://s3.amazonaws.com/image-url.jpg",
"types": [
"image",
"small_image",
"thumbnail"
]
}
]
Get
GET https://container-url.zoeysite.com/api/rest/products/:productId/images/:imageId/store/:storeId
Allows you to retrieve information about the specified product image from a specified store.
If there are custom attributes with the Catalog Input Type for Store Owner option set to Media Image, these attributes will be also returned in the response as an image type.
Example response (Get), HTTP 200:
{
"id": "450",
"label": "",
"position": "1",
"exclude": "0",
"url": "https://s3.amazonaws.com/image-url.jpg",
"types": [
"image",
"small_image",
"thumbnail"
]
}
Set
POST https://container-url.zoeysite.com/api/rest/products/:productId/images/store/:storeId
Used to set an image on the store.
| Parameter |
Type |
Description |
file_mime_type |
string |
(required) Used to set the mime type of the image. (images/jpeg, image/png) |
file_content |
string |
(required) Image file content base64 encoded. |
file_name |
string |
(optional) Image file name. If omitted image name will be "Image". |
Example request body:
{
"file_mime_type": "image/jpeg",
"file_content": "iVBORw0KGgo...",
"file_name": "new api image"
}
Update
PUT https://container-url.zoeysite.com/api/rest/products/:productId/images/:imageId/store/:storeId
Allows you to update the specified product image information for s specified store.
When updating information, you need to pass only those parameters that you want to be updated. Parameters that were not passed in the request will preserve the previous values.
All Params are optional.
| Parameter |
Type |
Description |
exclude |
int |
Defines whether the image will associate only to one of the three image types. |
file_content |
string |
Image file content base 64 encoded. |
file_mime_type |
string |
File mime type. (image/jpeg, image/png) |
file_name |
string |
Image file name. |
label |
string |
A label that will be displayed on the frontend when pointing to the image. |
position |
int |
The sort order option. The order in which the images are displayed in the "More Views" section. |
types |
array |
List of image types (image, small_image, thumbnail) |
Delete
DELETE https://container-url.zoeysite.com/api/rest/products/:productId/images/:imageId/store/:storeId
Allows you to remove an image from the required product in the specified store.
The image will not be deleted physically, the image parameters will be set to No Image for the current store.
Get
GET https://container-url.zoeysite.com/api/rest/products/:productId/images/:imageId
Allows you to retrieve information about a specified product image.
If there are custom attributes with the Catalog Input Type for Store Owner option set to Media Image, these attributes will be also returned in the response as an image type.
Example response (Get), HTTP 200:
{
"id": "450",
"label": "",
"position": "1",
"exclude": "0",
"url": "https://s3.amazonaws.com/image-url.jpg",
"types": [
"image",
"small_image",
"thumbnail"
]
}
Set
POST https://container-url.zoeysite.com/api/rest/products/:productId/images
Used to set an image on the store.
| Parameter |
Type |
Description |
file_content |
string |
Image file content base 64 encoded. |
file_mime_type |
string |
File mime type. (image/jpeg, image/png) |
file_name |
string |
Image file name. |
label |
string |
A label that will be displayed on the frontend when pointing to the image. |
position |
int |
The sort order option. The order in which the images are displayed in the "More Views" section. |
types |
array |
List of image types (image, thumbnail). image is used universally. thumbnail is used in places like media gallery on product page. |
exclude |
int |
0 - Image will be enabled (default)
1 - Image will be disabled |
Example request body:
{
"file_mime_type": "image/jpeg",
"file_content": "iVBORw0KGgo...",
"file_name": "new api image",
"types": [
"image",
"small_image",
"thumbnail"
],
"label": "Test API Image",
"position": "0",
"exclude": "0"
}
Update
PUT https://container-url.zoeysite.com/api/rest/products/:productId/images/:imageId
Allows you to update information for the specified product image.
When updating information, you need to pass only those parameters that you want to be updated. Parameters that were not passed in the request, will preserve the previous values.
All Params are optional.
| Parameter |
Type |
Description |
label |
string |
A label that will be displayed on the frontend when pointing to the image. |
position |
int |
The sort order option. The order in which the images are displayed in the "More Views" section. |
disabled |
int |
0 - Image will be enabled (default)
1 - Image will be disabled |
Example request body:
{
"label": "Test API Image",
"position": "0",
"disabled": "0"
}
Delete
DELETE https://container-url.zoeysite.com/api/rest/products/:productId/images/:imageId
Allows you to remove the specified image from a product.
The image will not be deleted physically, the image parameters will be set to No Image.
Get All
GET https://container-url.zoeysite.com/api/rest/products/:productId/images
Get all images associated with a product.
Example response (Get), HTTP 200:
[
{
"id": "445",
"label": "",
"position": "0",
"exclude": "0",
"url": "https://s3.amazonaws.com/imageurl.jpg",
"types": [
"image",
"small_image",
"thumbnail"
]
},
{
"id": "446",
"label": "",
"position": "1",
"exclude": "0",
"url": "https://s3.amazonaws.com/imageurl.jpg",
"types": []
}
]
Attributes
Get Attribute Sets
GET https://container-url.zoeysite.com/api/rest/product/attribute/sets
The Zoey Admin only uses the Default Attribute set for all its products.
Link
Create
POST https://container-url.zoeysite.com/api/rest/product/link
Endpoint used to link products together for Cross Sell, Up Sell, Related.
| Parameter |
Type |
Description |
type |
string |
'related', 'up_sell', 'cross_sell', 'grouped'. Required |
produt_id |
string |
ID of Product to be linked to. (parent). Required |
linked_product |
string |
ID of Product being linked. (child). Required |
data |
array |
array of link data. Optional |
data.position |
int |
The sort order of the linked product. Optional |
identifier_type |
string |
If set to 'sku', then set sku to product_id instead of id. Optional |
Example request body:
{
"type": "related",
"product_id": "116",
"linked_product": "106",
"data": {
"position": 1
},
"identifier_type": ""
}
GroupPrice
Get
GET https://container-url.zoeysite.com/api/rest/products/:id/group_price/:customer_group_id
Update
PUT https://container-url.zoeysite.com/api/rest/products/:id/group_price/:customer_group_id
Example request body:
{
"price": 100
}
Create
POST https://container-url.zoeysite.com/api/rest/products/:id/group_price/:customer_group_id
Example request body:
{
"price": 100
}
Delete
DELETE https://container-url.zoeysite.com/api/rest/products/:id/group_price/:customer_group_id
Attachments
Get All
GET https://container-url.zoeysite.com/api/rest/products/:productId/attachments
Example response (Get All), HTTP 200:
[
{
"attachment_id": "13",
"file_id": "107",
"product_id": "69448",
"render_mode": "1",
"store_id": "0",
"customer_group_id": null,
"is_logged_in": "0",
"label": null,
"sort_order": null,
"disabled": "0",
"full_url": "https://web.zoeysite.local/media/mediamanager/product_attachment.txt"
},
{
"attachment_id": "8",
"file_id": "105",
"product_id": "69448",
"render_mode": "1",
"store_id": "0",
"customer_group_id": null,
"is_logged_in": "0",
"label": null,
"sort_order": "0",
"disabled": "0",
"full_url": "https://web.zoeysite.local/media/mediamanager/api_image_4.jpg"
},
{
"attachment_id": "9",
"file_id": "104",
"product_id": "69448",
"render_mode": "1",
"store_id": "0",
"customer_group_id": null,
"is_logged_in": "0",
"label": null,
"sort_order": "0",
"disabled": "0",
"full_url": "https://web.zoeysite.local/media/mediamanager/api_image_3.jpg"
},
{
"attachment_id": "10",
"file_id": "103",
"product_id": "69448",
"render_mode": "1",
"store_id": "0",
"customer_group_id": null,
"is_logged_in": "0",
"label": null,
"sort_order": "0",
"disabled": "0",
"full_url": "https://web.zoeysite.local/media/mediamanager/api_image_2.jpg"
},
{
"attachment_id": "11",
"file_id": "102",
"product_id": "69448",
"render_mode": "1",
"store_id": "0",
"customer_group_id": null,
"is_logged_in": "0",
"label": null,
"sort_order": "0",
"disabled": "0",
"full_url": "https://web.zoeysite.local/media/mediamanager/api_image_1.jpg"
},
{
"attachment_id": "12",
"file_id": "101",
"product_id": "69448",
"render_mode": "1",
"store_id": "0",
"customer_group_id": null,
"is_logged_in": "0",
"label": null,
"sort_order": "0",
"disabled": "0",
"full_url": "https://web.zoeysite.local/media/mediamanager/api_image.jpg"
}
]
Get
GET https://container-url.zoeysite.com/api/rest/products/:productId/attachments/:attachmentId
Example response (Get), HTTP 200:
{
"attachment_id": "7",
"file_id": "106",
"product_id": "69448",
"render_mode": "1",
"store_id": "0",
"customer_group_id": null,
"is_logged_in": "0",
"label": null,
"sort_order": "0",
"disabled": "0",
"full_url": "https://web.zoeysite.local/media/mediamanager/api_image_5.jpg"
}
Delete
DELETE https://container-url.zoeysite.com/api/rest/products/:productId/attachments/:attachmentId
Create
POST https://container-url.zoeysite.com/api/rest/products/:productId/attachments
| Field |
Type |
Required |
Description |
file_mime_type |
string |
Yes |
The MIME type of the file (e.g. text/plain) |
file_content |
string |
Yes |
Base64-encoded file content |
file_name |
string |
Yes |
The name of the file including extension |
render_mode |
integer |
No |
Controls how the file is rendered. (1 = Download, 2 = Browser, 3 = Browser (New Tab)) (Default 1) |
store_id |
integer |
No |
ID of the store to associate the attachment with. (Deafult 0) |
customer_group_id |
integer |
null |
No |
is_logged_in |
integer |
No |
To only allow Logged In Customers.(0 = no, 1 = yes) (default 0) |
label |
string |
No |
Display label for the attachment |
sort_order |
integer |
No |
Order in which the attachment is sorted |
disabled |
integer |
No |
Whether the attachment is disabled (0 = enabled, 1 = disabled) |
Example request body:
{
"file_mime_type": "text/plain",
"file_content": "VGhpcyBpcyBhIHByb2R1Y3QgYXR0YWNobWVudA==",
"file_name": "product_attachment.txt",
"render_mode": "1",
"store_id": "0",
"customer_group_id": null,
"is_logged_in": "0",
"label": null,
"sort_order": "0",
"disabled": "0"
}
Update
PUT https://container-url.zoeysite.com/api/rest/products/:productId/attachments/:attachmentId
Files can not bed edited when making changes to attachments. Only the specific attachment settings can be changed. To change a file you must create a new attachment.
| Field |
Type |
Required |
Description |
render_mode |
integer |
No |
Controls how the file is rendered. (1 = Download, 2 = Browser, 3 = Browser (New Tab)) (Default 1) |
store_id |
integer |
No |
ID of the store to associate the attachment with. (Deafult 0) |
customer_group_id |
integer |
null |
No |
is_logged_in |
integer |
No |
To only allow Logged In Customers.(0 = no, 1 = yes) (default 0) |
label |
string |
No |
Display label for the attachment |
sort_order |
integer |
No |
Order in which the attachment is sorted |
disabled |
integer |
No |
Whether the attachment is disabled (0 = enabled, 1 = disabled) |
Example request body:
{
"render_mode": "2",
"store_id": "0",
"customer_group_id": 1,
"is_logged_in": "1",
"label": "testing a label update",
"sort_order": "10",
"disabled": "1"
}
Get All
GET https://container-url.zoeysite.com/api/rest/products?limit=1&page=1&order=sku&dir=DESC&filter[0][in][0]=simple&filter[0][in][1]=virtual&filter[0][attribute]=type_id&stock_data=1
Allows you to retrieve the list of all products with detailed information.
- Description: Allows you to retrieve the list of all products with detailed information.
- Notes: The list of attributes that will be returned in the response is configured in the Magento Admin Panel. The list of attributes differs for each type of user.
- Authentication: Admin
- Default Format: XML
- Parameters: No Parameters
Query Strings allow for
page - Pagination (ex: ?page=1)
limit - Items per page (ex: ?limit=10)
order - Attribute to sort by (ex: ?order=sku)
dir - Sort Direction (ex: ?order=sku&dir=DESC)
filter- Filter collection
Filtering this colleciton requires and attribute and a value.
| Action |
Data Type |
Description |
eq |
string |
Is Equal To |
neq |
string |
Is NOT Equal To |
like |
string |
Is Like |
nlike |
string |
Is Not Like |
in |
array |
Is In |
nin |
array |
Is NOT In |
null |
boolean |
Is NULL |
notnull |
boolean |
Is NOT NULL |
gt |
string |
Is Greater Than |
gte |
string |
Is Greater Than OR Equal To |
lt |
string |
Is Less Than |
lte |
string |
Is Less Than OR Equal To |
How To Filter A Data Type in Query
| DataType |
Query |
Description |
| string |
?filter[0][attribute]=firstname&filter[0][neq]=test |
firstname does not equal test |
| array |
?filter[0][attribute]=email&filter[0][in][0]=test@example.com&filter[0][in][1]=test@zoey.com |
Filter this collection where the email is either test@example.com or test@zoey.com |
| boolean |
?filter[0][attribute]=email&filter[0][null]=true |
Filter this collection where the email is null. |
Query parameters:
| Name | Example | Notes |
category_id | 4 | Allows you to retrieve the list of products of a specified category. These products will be returned in the product position ascending order. ( Optional )
|
limit | 1 | Items per page (ex: ?limit=10) ( Optional )
|
page | 1 | Pagination (ex: ?page=1) ( Optional )
|
order | sku | Attribute to sort by (ex: ?order=sku) ( Optional )
|
dir | DESC | Sort Direction (ex: ?order=sku&dir=DESC) Requires order. ( Optional )
|
filter[0][in][0] | simple | Filter collection. More details in description. ( Optional )
|
filter[0][in][1] | virtual | |
filter[0][attribute] | type_id | |
stock_data | 1 | Flag to indicate if stock_data should be returned.
|
Example response (Updated At), HTTP 200:
{
"237": {
"entity_id": "237",
"attribute_set_id": "4",
"type_id": "simple",
"sku": "Restricted-Product",
"created_at": "2021-06-01 10:22:20",
"updated_at": "2021-06-01 10:27:08",
"lightspeed_id": null,
"lightspeed_hash": null,
"lightspeed_image_hash": null,
"name": "Restricted Product",
"url_key": "restricted-product",
"msrp_enabled": "2",
"msrp_display_actual_price_type": "4",
"meta_title": "Restricted Product",
"options_container": "container1",
"special_from_date": null,
"special_to_date": null,
"status": "1",
"visibility": "4",
"tax_class_id": "2",
"enable_qty_packaging": "0",
"rw_google_base_skip_submi": "0",
"special_price": null,
"price": "100.0000",
"cost": "0.0000",
"msrp": null,
"weight": "0.0000",
"description": "Restricted Product",
"short_description": " ",
"zoey_design_template": null
}
}
Prices
GET https://container-url.zoeysite.com/api/rest/products-prices?limit=20&page=1&order=entity_id&dir=DESC&customer_group_id=2
Query parameters:
| Name | Example | Notes |
limit | 20 | Items per page (ex: ?limit=10) ( Optional )
|
page | 1 | Pagination (ex: ?page=1) ( Optional )
|
order | entity_id | Attribute to sort by (ex: ?order=sku) ( Optional )
|
dir | DESC | Sort Direction (ex: ?order=sku&dir=DESC) Requires order. ( Optional )
|
customer_group_id | 2 | Will only return results that have group_price info for the customer group id. ( Optional )
|
Example response (Get), HTTP 200:
{
"17": {
"entity_id": 17,
"price": 100,
"special_price": 85,
"special_from_date": null,
"special_to_date": null,
"group_price": {
"2": {
"website_id": 0,
"cust_group": 2,
"price": 45,
"special_from_date": null,
"special_to_date": null,
"special_price": 40
}
}
},
"67663": {
"entity_id": 67663,
"price": 10,
"special_price": 9.75,
"special_from_date": "2024-08-01 00:00:00",
"special_to_date": "2024-10-01 00:00:00",
"group_price": {
"2": {
"website_id": 0,
"cust_group": 2,
"price": 9,
"special_from_date": "2024-08-01 00:00:00",
"special_to_date": "2024-10-01 00:00:00",
"special_price": 8.5
}
}
}
}
Count
GET https://container-url.zoeysite.com/api/rest/count/products
Retrieve a total count of all products.
See Get All for applying filters.
Get ( by ID )
GET https://container-url.zoeysite.com/api/rest/products/:productId
Allows you to retrieve information on a required simple product.
The list of attributes that will be returned in the response is configured in the Magento Admin Panel. The list of attributes differs for each type of user.
Example response (Configurable Response), HTTP 200:
{
"entity_id": "257",
"attribute_set_id": "4",
"type_id": "configurable",
"sku": "Out-Of-Stock-Configurable",
"created_at": "2021-06-23T08:45:30-04:00",
"updated_at": "2021-06-24 12:14:29",
"lightspeed_id": null,
"lightspeed_hash": null,
"lightspeed_image_hash": null,
"name": "Out Of Stock Configurable",
"meta_title": "Out Of Stock Configurable",
"url_key": "out-of-stock-configurable",
"options_container": "container1",
"msrp_enabled": "2",
"msrp_display_actual_price_type": "4",
"zoey_table_order_enable": "0",
"price": "100.0000",
"special_price": null,
"cost": "0.0000",
"weight": "0.0000",
"msrp": null,
"status": "1",
"visibility": "4",
"tax_class_id": "2",
"size": null,
"rw_google_base_skip_submi": "0",
"apply_tier_price_to_variations": "0",
"zoey_product_skip_shipping": "0",
"length": null,
"enable_qty_packaging": "0",
"zoey_ignore_from_min_order_qty": "0",
"zoey_ignore_from_min_order_amt": "0",
"description": "Out Of Stock Configurable",
"short_description": " ",
"zoey_design_template": null,
"special_from_date": null,
"special_to_date": null,
"use_child_price": "0",
"use_child_weight": "0",
"use_child_manage_stock": "0",
"group_price": [
{
"website_id": "0",
"cust_group": "1",
"price": "11.0000",
"special_from_date": null,
"special_to_date": null,
"special_price": null
},
{
"website_id": "0",
"cust_group": "2",
"price": "10.0000",
"special_from_date": null,
"special_to_date": null,
"special_price": null
}
],
"tier_price": [],
"stock_data": {
"item_id": "355",
"qty": "0.0000",
"min_qty": "0.0000",
"use_config_min_qty": "1",
"is_qty_decimal": "0",
"backorders": "0",
"use_config_backorders": "1",
"min_sale_qty": "0.0000",
"use_config_min_sale_qty": "1",
"max_sale_qty": "0.0000",
"use_config_max_sale_qty": "1",
"is_in_stock": "1",
"notify_stock_qty": null,
"use_config_notify_stock_qty": "1",
"manage_stock": "1",
"use_config_manage_stock": "0",
"use_config_qty_increments": "1",
"qty_increments": "0.0000",
"use_config_enable_qty_inc": "1",
"enable_qty_inc
... (truncated)
Get ( by SKU )
GET https://container-url.zoeysite.com/api/rest/products/sku/:productSku
Allows you to retrieve information on a required simple product.
The list of attributes that will be returned in the response is configured in the Magento Admin Panel. The list of attributes differs for each type of user.
Example response (Configurable Response), HTTP 200:
{
"entity_id": "257",
"attribute_set_id": "4",
"type_id": "configurable",
"sku": "Out-Of-Stock-Configurable",
"created_at": "2021-06-23T08:45:30-04:00",
"updated_at": "2021-06-24 12:14:29",
"lightspeed_id": null,
"lightspeed_hash": null,
"lightspeed_image_hash": null,
"name": "Out Of Stock Configurable",
"meta_title": "Out Of Stock Configurable",
"url_key": "out-of-stock-configurable",
"options_container": "container1",
"msrp_enabled": "2",
"msrp_display_actual_price_type": "4",
"zoey_table_order_enable": "0",
"price": "100.0000",
"special_price": null,
"cost": "0.0000",
"weight": "0.0000",
"msrp": null,
"status": "1",
"visibility": "4",
"tax_class_id": "2",
"size": null,
"rw_google_base_skip_submi": "0",
"apply_tier_price_to_variations": "0",
"zoey_product_skip_shipping": "0",
"length": null,
"enable_qty_packaging": "0",
"zoey_ignore_from_min_order_qty": "0",
"zoey_ignore_from_min_order_amt": "0",
"description": "Out Of Stock Configurable",
"short_description": " ",
"zoey_design_template": null,
"special_from_date": null,
"special_to_date": null,
"use_child_price": "0",
"use_child_weight": "0",
"use_child_manage_stock": "0",
"group_price": [
{
"website_id": "0",
"cust_group": "1",
"price": "11.0000",
"special_from_date": null,
"special_to_date": null,
"special_price": null
},
{
"website_id": "0",
"cust_group": "2",
"price": "10.0000",
"special_from_date": null,
"special_to_date": null,
"special_price": null
}
],
"tier_price": [],
"stock_data": {
"item_id": "355",
"qty": "0.0000",
"min_qty": "0.0000",
"use_config_min_qty": "1",
"is_qty_decimal": "0",
"backorders": "0",
"use_config_backorders": "1",
"min_sale_qty": "0.0000",
"use_config_min_sale_qty": "1",
"max_sale_qty": "0.0000",
"use_config_max_sale_qty": "1",
"is_in_stock": "1",
"notify_stock_qty": null,
"use_config_notify_stock_qty": "1",
"manage_stock": "1",
"use_config_manage_stock": "0",
"use_config_qty_increments": "1",
"qty_increments": "0.0000",
"use_config_enable_qty_inc": "1",
"enable_qty_inc
... (truncated)
Create
POST https://container-url.zoeysite.com/api/rest/products
Description: Allows you to create a new simple product.
Authentication: Admin
Default Format: JSON
Parameters:
| Name |
Description |
Required |
Type |
Example Value |
| type_id |
Product type. Can have the "simple", "grouped", "configurable", "bundle", "downloadable", "virtual" value. |
required |
string |
simple |
| sku |
Product SKU |
required |
string |
new_product |
| name |
Product name |
required |
string |
New Product |
| meta_title |
Product meta title |
optional |
string |
New Product |
| meta_description |
Product meta description |
optional |
string |
This is a new product |
| url_key |
A friendly URL path for the product |
optional |
string |
new-product |
| msrp_enabled |
The Apply MAP option. Defines whether the price in the catalog in the frontend is substituted with a Click for price link |
optional |
int |
1 |
| msrp_display_actual_price_type |
Defines how the price will be displayed in the frontend. Can have the following values: In Cart, Before Order Confirmation, and On Gesture |
optional |
int |
2 |
| gift_message_available |
Defines whether the gift message is available for the product |
optional |
int |
1 |
| price |
Product Price |
required |
string |
2000 |
| special_price |
Product Sale/Special Price |
optional |
string |
1999.99 |
| cost |
Cost of item |
optional |
string |
0.10 |
| weight |
Product Weight |
required |
string |
0.4 |
| msrp |
The Manufacturer's Suggested Retail Price option. The price that a manufacturer suggests to sell the product at. |
optional |
string |
150 |
| status |
Product status. Can have the following values: 1- Enabled, 2 - Disabled. |
required |
int |
1 |
| visibility |
Product visibility. Can have the following values: 1 - Not Visible Individually, 2 - Catalog, 3 - Search, 4 - Catalog, Search. |
required |
int |
4 |
| tax_class_id |
Product tax class. Can have the following values: 0 - None, 2 - taxable Goods, 4 - Shipping, etc., depending on created tax classes. |
required |
int |
|
| description |
Product description. |
required |
string |
This is a new product. |
| short_description |
Product short description. |
required |
string |
A new product. |
| special_from_date |
Date starting from which the special price will be applied to the product |
optional |
string |
2020-02-14 00:00:00 |
| special_to_date |
Date till which the special price will be applied to the product optional |
optional |
string |
2020-02-14 00:00:00 |
| news_from_date |
Date starting from which the product is promoted as a new product |
optional |
string |
2020-02-14 00:00:00 |
| news_to_date |
Date till which the product is promoted as a new product |
optional |
string |
2020-02-14 00:00:00 |
| group_price |
Product group price |
optional |
array |
array of group price |
| tier_price |
Product tier price |
optional |
array |
array of tier price |
| stock_data |
Product inventory data |
optional |
array |
array of stock data |
| zb2b_product_restricted |
Is Product Restricted |
optional |
booleanFlag |
1 |
| zb2b_restricted_prod_groups |
Customer Groups allowed to view the product if restricted. (Array of IDs) |
optional |
array |
["1", "4"] |
| customer_permissions |
Customers allowed to view the product if restricted. (Array of IDs) |
optional |
array |
["1", "4"] |
| account_permissions |
Accounts allowed to view the product if restricted. (Array of IDs) |
optional |
array |
["1", "4"] |
| account_location_permissions |
Account Locations allowed to view the product if restricted. (Array of IDs) |
optional |
array |
["1", "4"] |
custom_options |
Product Customizations. Key is either numeric for existing options or non-numeric for new options. |
optional |
CustomOptionConfig |
{ "_1": CustomOption } |
Array of Group Price attributes is as follows:
| Name |
Description |
Required |
Type |
Example Value |
| cust_group |
Customer group |
optional |
int |
1 |
| price |
Group price |
required |
string |
150 |
| special_price |
Group Sale Price |
optional |
string |
145.99 |
| special_from_date |
Group Sale Start Date |
optional |
string |
2021-01-15T00:00:00 |
| special_to_date |
Group Sale End Date |
optional |
string |
2021-01-25T00:00:00 |
All data in the group_price array will overwrite all existing group price data.
Array of Tier Price attributes is as follows:
| Name |
Description |
Required |
Type |
Example Value |
| website_id |
Website ID |
optional |
int |
0 |
| cust_group |
Customer group ID |
optional |
int |
1 |
| price |
Tier price |
optional |
string |
150 |
| price_qty |
Price quantity |
optional |
string |
10 |
Array of Stock Data attributes is as follows:
| Name |
Description |
Required |
Type |
Example Value |
| qty |
Quantity of stock items for the current product |
optional |
string |
99 |
| min_qty |
Quantity for stock items to become out of stock |
optional |
string |
5 |
| use_config_min_qty |
Choose whether the Config settings will be applied for the Qty for Item's Status to Become Out of Stock option |
optional |
int |
1 |
| is_qty_decimal |
Choose whether the product can be sold using decimals (e.g., you can buy 2.5 product) |
optional |
int |
1 |
| backorders |
Defines whether the customer can place the order for products that are out of stock at the moment. |
optional |
int |
0 |
| use_config_backorders |
Choose whether the Config settings will be applied for the Backorders |
optional |
int |
1 |
| min_sale_qty |
Minimum number of items in the shopping cart to be sold |
optional |
string |
10 |
| use_config_min_sale_qty |
Choose whether the Config settings will be applied for the Minimum Qty Allowed in Shopping Cart |
optional |
int |
1 |
| max_sale_qty |
Maximum number of items in the shopping cart to be sold |
optional |
string |
50 |
| use_config_max_sale_qty |
Choose whether the Config settings will be applied for the Maximum Qty Allowed in Shopping Cart |
optional |
int |
1 |
| is_in_stock |
Defines whether the product is available for selling. |
optional |
int |
1 |
| notify_stock_qty |
The number of inventory items below which the customer will be notified |
optional |
string |
5 |
| use_config_notify_stock_qty |
Choose whether the Config settings will be applied for the Notify for Quantity Below option |
optional |
int |
1 |
| manage_stock |
Choose whether to view and specify the product quantity and availability and whether the product is in stock management. |
optional |
int |
1 |
| use_config_manage_stock |
Choose whether the Config settings will be applied for the Manage Stock option |
optional |
int |
1 |
| use_config_qty_increments |
Choose whether the Config settings will be applied for the Qty Increments option |
optional |
int |
1 |
| qty_increments |
The product quantity increment value optional |
optional |
string |
3 |
| use_config_enable_qty_inc |
Choose whether the Config settings will be applied for the Enable Qty Increments option |
optional |
int |
1 |
| enable_qty_increments |
Defines whether the customer can add products only in increments to the shopping cart |
optional |
int |
0 |
| is_decimal_divided |
Defines whether the stock items can be divided into multiple boxes for shipping |
optional |
int |
0 |
| group_qty_increments |
Will update the products qty increments (packages). |
optional |
GroupQtyIncrementData[] |
[] |
GroupQtyIncrementData:
| Name |
Description |
Required |
Type |
Example Value |
| id |
Customer Group ID |
required |
int |
null |
| value |
Increment Value |
optional |
int |
10 |
| increment_label |
Increment Label |
optional |
string |
Package(s) |
| is_default |
Is the default increment |
optional |
boolean |
false |
CustomOption:
The following are the generic options needed for all custom options. There will be additional options defined below for each option type.
| Name |
Description |
Required |
Type |
Example Value |
| option_id |
Unique identifier for the option |
Required |
String |
"11" |
| title |
The title of the option |
Required |
String |
"Test 1" |
| type |
The type of the option (field, area, file, etc.) |
Required |
String (field, area, file, drop_down, radio, checkbox, multiple, date, date_time, time) |
"field" |
| is_require |
Whether the option is required (0 = No, 1 = Yes) |
Required |
Integer (0, 1) |
0 |
| is_deleted |
Whether the option is deleted (0 = No, 1 = Yes) |
Required |
Integer (0, 1) |
0 |
| sort_order |
The sort order of the option |
Required |
Integer |
0 |
| render_layout |
Layout style for the option |
Optional |
String (null, '2-column', '3-column') |
null |
| fixed_price_qty |
How the price is applied (1 = One Time, 0 = Per Item) |
Optional |
Integer (1, 0) |
0 |
| customer_group_id |
Customer group ID for specific targeting |
Optional |
Integer (null - All groups, 0 - NOT LOGGED IN, ...) |
null |
| tooltip |
Tooltip text that provides more information |
Optional |
String (null, string) |
null |
| tooltip_icon |
Icon for the tooltip |
Optional |
String (null, string) |
null |
CustomOptionField:
| Name |
Description |
Required |
Type |
Example Value |
| max_characters |
Max Characters |
Required |
String |
null |
| sku |
SKU Adjustment |
Required |
String |
null |
| price |
Price Adjustment |
Required |
String (field, area, file, drop_down, radio, checkbox, multiple, date, date_time, time) |
"field" |
| price_type |
Price Adjustment Type |
Required |
String (fixed, percent) |
"fixed" |
| zoey_weight |
Weight |
Required |
Integer |
0 |
| customer_group_prices |
Customer Group Price |
Required |
CustomOptionCustomerGroupPrice |
Defined in the CustomOptionCustomerGroupPrice section. |
CustomOptionArea:
| Name |
Description |
Required |
Type |
Example Value |
| max_characters |
Max Characters |
Required |
String |
null |
| sku |
SKU Adjustment |
Required |
String |
null |
| price |
Price Adjustment |
Required |
String (field, area, file, drop_down, radio, checkbox, multiple, date, date_time, time) |
"field" |
| price_type |
Price Adjustment Type |
Required |
String (fixed, percent) |
"fixed" |
| zoey_weight |
Weight |
Required |
Integer |
0 |
| customer_group_prices |
Customer Group Price |
Required |
CustomOptionCustomerGroupPrice |
Defined in the CustomOptionCustomerGroupPrice section. |
CustomOptionFile:
| Name |
Description |
Required |
Type |
Example Value |
| file_extension |
Allowed File Extensions |
Required |
String |
null |
| sku |
SKU Adjustment |
Required |
String |
null |
| price |
Price Adjustment |
Required |
String (field, area, file, drop_down, radio, checkbox, multiple, date, date_time, time) |
"field" |
| price_type |
Price Adjustment Type |
Required |
String (fixed, percent) |
"fixed" |
| customer_group_prices |
Customer Group Price |
Required |
CustomOptionCustomerGroupPrice |
Defined in the CustomOptionCustomerGroupPrice section. |
CustomOptionDate:
| Name |
Description |
Required |
Type |
Example Value |
| sku |
SKU Adjustment |
Required |
String |
null |
| price |
Price Adjustment |
Required |
String (field, area, file, drop_down, radio, checkbox, multiple, date, date_time, time) |
"field" |
| price_type |
Price Adjustment Type |
Required |
String (fixed, percent) |
"fixed" |
| customer_group_id |
Customer group ID for specific targeting |
Optional |
Integer (null - All groups, 0 - NOT LOGGED IN, ...) |
null |
| customer_group_prices |
Customer Group Price |
Required |
CustomOptionCustomerGroupPrice |
Defined in the CustomOptionCustomerGroupPrice section. |
| date_offset_max |
Max Day Buffer |
Required |
null |
Integer ( 0 - 29 ) |
| date_offset_max |
Min Day Buffer |
Required |
null |
Integer ( 0 - 29 ) |
CustomOptionDateTime:
| Name |
Description |
Required |
Type |
Example Value |
| sku |
SKU Adjustment |
Required |
String |
null |
| price |
Price Adjustment |
Required |
String (field, area, file, drop_down, radio, checkbox, multiple, date, date_time, time) |
"field" |
| price_type |
Price Adjustment Type |
Required |
String (fixed, percent) |
"fixed" |
| customer_group_id |
Customer group ID for specific targeting |
Optional |
Integer (null - All groups, 0 - NOT LOGGED IN, ...) |
null |
| customer_group_prices |
Customer Group Price |
Required |
CustomOptionCustomerGroupPrice |
Defined in the CustomOptionCustomerGroupPrice section. |
| date_offset_max |
Max Day Buffer |
Required |
null |
Integer ( 0 - 29 ) |
| date_offset_max |
Min Day Buffer |
Required |
null |
Integer ( 0 - 29 ) |
CustomOptionTime:
| Name |
Description |
Required |
Type |
Example Value |
| sku |
SKU Adjustment |
Required |
String |
null |
| price |
Price Adjustment |
Required |
String (field, area, file, drop_down, radio, checkbox, multiple, date, date_time, time) |
"field" |
| price_type |
Price Adjustment Type |
Required |
String (fixed, percent) |
"fixed" |
| customer_group_id |
Customer group ID for specific targeting |
Optional |
Integer (null - All groups, 0 - NOT LOGGED IN, ...) |
null |
| customer_group_prices |
Customer Group Price |
Required |
CustomOptionCustomerGroupPrice |
Defined in the CustomOptionCustomerGroupPrice section. |
CustomOptionDropDown:
| Name |
Description |
Required |
Type |
Example Value |
| values |
Key/Value where key is value id and value is the option value config |
Required |
CustomOptionValue |
Defined in the CustomOptionValue section |
CustomOptionRadio:
| Name |
Description |
Required |
Type |
Example Value |
| values |
Key/Value where key is value id and value is the option value config |
Required |
CustomOptionValue |
Defined in the CustomOptionValue section |
CustomOptionCheckbox:
| Name |
Description |
Required |
Type |
Example Value |
| values |
Key/Value where key is value id and value is the option value config |
Required |
CustomOptionValue |
Defined in the CustomOptionValue section |
CustomOptionMultiple:
| Name |
Description |
Required |
Type |
Example Value |
| values |
Key/Value where key is value id and value is the option value config |
Required |
CustomOptionValue |
Defined in the CustomOptionValue section |
CustomOptionValue:
| Name |
Description |
Required |
Type |
Example Value |
| option_type_id |
Option Type ID |
Required |
Non numeric for new value |
'_1' |
| option_id |
Option its assigned to |
Required |
Non numeric for new option |
'11' |
| title |
The title of the option |
Required |
String |
"Test 1" |
| sku |
SKU Adjustment |
Required |
String |
null |
| price |
Price Adjustment |
Required |
String (field, area, file, drop_down, radio, checkbox, multiple, date, date_time, time) |
"field" |
| price_type |
Price Adjustment Type |
Required |
String (fixed, percent) |
"fixed" |
| customer_group_id |
Customer group ID for specific targeting |
Optional |
Integer (null - All groups, 0 - NOT LOGGED IN, ...) |
null |
| customer_group_prices |
Customer Group Price |
Required |
CustomOptionCustomerGroupPrice |
Defined in the CustomOptionCustomerGroupPrice section. |
| sort_order |
The sort order of the option |
Required |
Integer |
0 |
| zoey_weight |
Weight |
Required |
Integer |
0 |
CustomOptionCustomerGroupPrice:
| Name |
Description |
Required |
Type |
Example Value |
| option_customer_group_price_id |
Option Type ID |
Required |
Non numeric for new value |
'_1' |
| option_id |
Option its assigned to |
Required |
Non numeric for new option |
'11' |
| price |
Price Adjustment |
Required |
String (field, area, file, drop_down, radio, checkbox, multiple, date, date_time, time) |
"field" |
| price_type |
Price Adjustment Type |
Required |
String (fixed, percent) |
"fixed" |
| customer_group_id |
Customer group ID for specific targeting |
Optional |
Integer (null - All groups, 0 - NOT LOGGED IN, ...) |
null |
| sort_order |
The sort order of the option |
Required |
Integer |
0 |
Example request body:
{
"custom_design": "default/blank",
"custom_design_from": "02/16/2012",
"custom_design_to": "05/01/2012",
"description": "Test description",
"gift_message_available": 1,
"meta_description": "Test meta",
"meta_keyword": "Test keyword",
"meta_title": "Test title",
"msrp": 11.015,
"msrp_display_actual_price_type": 1,
"msrp_enabled": 1,
"name": "Test",
"news_from_date": "02/16/2012",
"news_to_date": "16.02.2012",
"options_container": "container1",
"page_layout": "one_column",
"price": 25.5,
"attribute_set_id": "4",
"short_description": "Test short description",
"sku": "simple4f5490f31959f",
"special_from_date": "02/16/2012",
"special_price": 11.2,
"special_to_date": "03/17/2012",
"status": 1,
"stock_data": {
"backorders": 1,
"enable_qty_increments": 0,
"is_in_stock": 1,
"is_qty_decimal": 0,
"manage_stock": 1,
"max_sale_qty": 1,
"min_qty": 1.56,
"min_sale_qty": 1,
"notify_stock_qty": -50.99,
"qty": 1,
"use_config_manage_stock": 1,
"use_config_min_qty": 1,
"use_config_min_sale_qty": 1,
"use_config_max_sale_qty": 1,
"use_config_backorders": 1,
"use_config_enable_qty_inc": 1,
"use_config_notify_stock_qty": 1
},
"tax_class_id": "2",
"type_id": "simple",
"use_config_gift_message_available": 0,
"visibility": "4",
"weight": 125,
"zb2b_product_restricted": "1",
"customer_permissions": [
"1"
],
"account_permissions": [
"1"
],
"account_location_permissions": [
"4"
],
"zb2b_restricted_prod_groups": [
"1",
"2"
],
"color": "blue",
"brand": "blue",
"shoe_type": "blue",
"category_type": "1",
"exclude_from_discount": "1"
}
Update
PUT https://container-url.zoeysite.com/api/rest/products/:productId
Change "Update" in "Example Requests" for more ways to use this endpoint!
Description: Allows you to update an existing simple product.
Authentication: Admin
Default Format: JSON
ProductUpdate Parameters:
Enter only those parameters which you want to update.
| Name |
Description |
Required |
Type |
Example Value |
| type_id |
Product type. Can have the "simple" value. |
required |
string |
simple |
| attribute_set_id |
Attribute set for the product. |
required |
int |
4 |
| sku |
Product SKU |
required |
string |
new_product |
| name |
Product name |
required |
string |
New Product |
| meta_title |
Product meta title |
optional |
string |
New Product |
| meta_description |
Product meta description |
optional |
string |
This is a new product |
| url_key |
A friendly URL path for the product |
optional |
string |
new-product |
| msrp_enabled |
The Apply MAP option. Defines whether the price in the catalog in the frontend is substituted with a Click for price link |
optional |
int |
1 |
| msrp_display_actual_price_type |
Defines how the price will be displayed in the frontend. Can have the following values: In Cart, Before Order Confirmation, and On Gesture |
optional |
int |
2 |
| gift_message_available |
Defines whether the gift message is available for the product |
optional |
int |
1 |
| price |
Product Price |
required |
string |
2000 |
| special_price |
Product Sale/Special Price |
optional |
string |
1999.99 |
| cost |
Cost of item |
optional |
string |
0.10 |
| weight |
Product Weight |
required |
string |
0.4 |
| msrp |
The Manufacturer's Suggested Retail Price option. The price that a manufacturer suggests to sell the product at. |
optional |
string |
150 |
| status |
Product status. Can have the following values: 1- Enabled, 2 - Disabled. |
required |
int |
1 |
| visibility |
Product visibility. Can have the following values: 1 - Not Visible Individually, 2 - Catalog, 3 - Search, 4 - Catalog, Search. |
required |
int |
4 |
| tax_class_id |
Product tax class. Can have the following values: 0 - None, 2 - taxable Goods, 4 - Shipping, etc., depending on created tax classes. |
required |
int |
|
| description |
Product description. |
required |
string |
This is a new product. |
| short_description |
Product short description. |
required |
string |
A new product. |
| special_from_date |
Date starting from which the special price will be applied to the product |
optional |
string |
2020-02-14 00:00:00 |
| special_to_date |
Date till which the special price will be applied to the product optional |
optional |
string |
2020-02-14 00:00:00 |
| news_from_date |
Date starting from which the product is promoted as a new product |
optional |
string |
2020-02-14 00:00:00 |
| news_to_date |
Date till which the product is promoted as a new product |
optional |
string |
2020-02-14 00:00:00 |
| group_price |
Product group price |
optional |
array |
array of group price |
| tier_price |
Product tier price |
optional |
array |
array of tier price |
| stock_data |
Product inventory data |
optional |
array |
array of stock data |
| zb2b_product_restricted |
Is Product Restricted |
optional |
booleanFlag |
1 |
| zb2b_restricted_prod_groups |
Customer Groups allowed to view the product if restricted. (Array of IDs) |
optional |
array |
["1", "4"] |
| customer_permissions |
Customers allowed to view the product if restricted. (Array of IDs) |
optional |
array |
["1", "4"] |
| account_permissions |
Accounts allowed to view the product if restricted. (Array of IDs) |
optional |
array |
["1", "4"] |
| account_location_permissions |
Account Locations allowed to view the product if restricted. (Array of IDs) |
optional |
array |
["1", "4"] |
| category_ids |
Categories this product will belong to. |
optional |
array |
array of category ids |
custom_options |
Product Customizations. Key is either numeric for existing options or non-numeric for new options. |
optional |
CustomOptionConfig |
{ "_1": CustomOption } |
Array of Group Price attributes is as follows:
| Name |
Description |
Required |
Type |
Example Value |
| cust_group |
Customer group |
optional |
int |
1 |
| price |
Group price |
required |
string |
150 |
| special_price |
Group Sale Price |
optional |
string |
145.99 |
| special_from_date |
Group Sale Start Date |
optional |
string |
2021-01-15T00:00:00 |
| special_to_date |
Group Sale End Date |
optional |
string |
2021-01-25T00:00:00 |
All data in the group_price array will overwrite all existing group price data.
Array of Tier Price attributes is as follows:
| Name |
Description |
Required |
Type |
Example Value |
| website_id |
Website ID |
optional |
int |
0 |
| cust_group |
Customer group ID |
optional |
int |
1 |
| price |
Tier price |
optional |
string |
150 |
| price_qty |
Price quantity |
optional |
string |
10 |
Array of Stock Data attributes is as follows:
| Name |
Description |
Required |
Type |
Example Value |
| qty |
Quantity of stock items for the current product |
optional |
string |
99 |
| min_qty |
Quantity for stock items to become out of stock |
optional |
string |
5 |
| use_config_min_qty |
Choose whether the Config settings will be applied for the Qty for Item's Status to Become Out of Stock option |
optional |
int |
1 |
| is_qty_decimal |
Choose whether the product can be sold using decimals (e.g., you can buy 2.5 product) |
optional |
int |
1 |
| backorders |
Defines whether the customer can place the order for products that are out of stock at the moment. |
optional |
int |
0 |
| use_config_backorders |
Choose whether the Config settings will be applied for the Backorders |
optional |
int |
1 |
| min_sale_qty |
Minimum number of items in the shopping cart to be sold |
optional |
string |
10 |
| use_config_min_sale_qty |
Choose whether the Config settings will be applied for the Minimum Qty Allowed in Shopping Cart |
optional |
int |
1 |
| max_sale_qty |
Maximum number of items in the shopping cart to be sold |
optional |
string |
50 |
| use_config_max_sale_qty |
Choose whether the Config settings will be applied for the Maximum Qty Allowed in Shopping Cart |
optional |
int |
1 |
| is_in_stock |
Defines whether the product is available for selling. |
optional |
int |
1 |
| notify_stock_qty |
The number of inventory items below which the customer will be notified |
optional |
string |
5 |
| use_config_notify_stock_qty |
Choose whether the Config settings will be applied for the Notify for Quantity Below option |
optional |
int |
1 |
| manage_stock |
Choose whether to view and specify the product quantity and availability and whether the product is in stock management. |
optional |
int |
1 |
| use_config_manage_stock |
Choose whether the Config settings will be applied for the Manage Stock option |
optional |
int |
1 |
| stock_status_changed_auto |
Defines whether products can be automatically returned to stock when the refund for an order is created |
optional |
int |
0 |
| use_config_qty_increments |
Choose whether the Config settings will be applied for the Qty Increments option |
optional |
int |
1 |
| qty_increments |
The product quantity increment value optional |
optional |
string |
3 |
| use_config_enable_qty_inc |
Choose whether the Config settings will be applied for the Enable Qty Increments option |
optional |
int |
1 |
| enable_qty_increments |
Defines whether the customer can add products only in increments to the shopping cart |
optional |
int |
0 |
| is_decimal_divided |
Defines whether the stock items can be divided into multiple boxes for shipping |
optional |
int |
0 |
| update_stock_status |
Will update the products stock status based on the data on the product. |
optional |
int |
0 |
| group_qty_increments |
Will update the products qty increments (packages). |
optional |
GroupQtyIncrementData[] |
[] |
| inventory_locations |
Will update the qty on the specified inventory locations |
optional |
InventoryLocationData[] |
|
GroupQtyIncrementData:
| Name |
Description |
Required |
Type |
Example Value |
| id |
Customer Group ID |
required |
int |
null |
| value |
Increment Value |
optional |
int |
10 |
| increment_label |
Increment Label |
optional |
string |
Package(s) |
| is_default |
Is the default increment |
optional |
boolean |
false |
InventoryLocationData:
| Name |
Description |
Required |
Type |
Example Value |
| location_id |
ID of the Inventory Location |
required |
int |
1 |
| qty |
Product Quantity for the Inventory Location |
required (when not deleting) |
float |
1 |
| delete |
Will remove the product from the Inventory Location |
optional |
int |
1 |
CustomOption:
The following are the generic options needed for all custom options. There will be additional options defined below for each option type.
| Name |
Description |
Required |
Type |
Example Value |
| option_id |
Unique identifier for the option |
Required |
String |
"11" |
| title |
The title of the option |
Required |
String |
"Test 1" |
| type |
The type of the option (field, area, file, etc.) |
Required |
String (field, area, file, drop_down, radio, checkbox, multiple, date, date_time, time) |
"field" |
| is_require |
Whether the option is required (0 = No, 1 = Yes) |
Required |
Integer (0, 1) |
0 |
| is_deleted |
Whether the option is deleted (0 = No, 1 = Yes) |
Required |
Integer (0, 1) |
0 |
| sort_order |
The sort order of the option |
Required |
Integer |
0 |
| render_layout |
Layout style for the option |
Optional |
String (null, '2-column', '3-column') |
null |
| fixed_price_qty |
How the price is applied (1 = One Time, 0 = Per Item) |
Optional |
Integer (1, 0) |
0 |
| customer_group_id |
Customer group ID for specific targeting |
Optional |
Integer (null - All groups, 0 - NOT LOGGED IN, ...) |
null |
| tooltip |
Tooltip text that provides more information |
Optional |
String (null, string) |
null |
| tooltip_icon |
Icon for the tooltip |
Optional |
String (null, string) |
null |
CustomOptionField:
| Name |
Description |
Required |
Type |
Example Value |
| max_characters |
Max Characters |
Required |
String |
null |
| sku |
SKU Adjustment |
Required |
String |
null |
| price |
Price Adjustment |
Required |
String (field, area, file, drop_down, radio, checkbox, multiple, date, date_time, time) |
"field" |
| price_type |
Price Adjustment Type |
Required |
String (fixed, percent) |
"fixed" |
| zoey_weight |
Weight |
Required |
Integer |
0 |
| customer_group_prices |
Customer Group Price |
Required |
CustomOptionCustomerGroupPrice |
Defined in the CustomOptionCustomerGroupPrice section. |
CustomOptionArea:
| Name |
Description |
Required |
Type |
Example Value |
| max_characters |
Max Characters |
Required |
String |
null |
| sku |
SKU Adjustment |
Required |
String |
null |
| price |
Price Adjustment |
Required |
String (field, area, file, drop_down, radio, checkbox, multiple, date, date_time, time) |
"field" |
| price_type |
Price Adjustment Type |
Required |
String (fixed, percent) |
"fixed" |
| zoey_weight |
Weight |
Required |
Integer |
0 |
| customer_group_prices |
Customer Group Price |
Required |
CustomOptionCustomerGroupPrice |
Defined in the CustomOptionCustomerGroupPrice section. |
CustomOptionFile:
| Name |
Description |
Required |
Type |
Example Value |
| file_extension |
Allowed File Extensions |
Required |
String |
null |
| sku |
SKU Adjustment |
Required |
String |
null |
| price |
Price Adjustment |
Required |
String (field, area, file, drop_down, radio, checkbox, multiple, date, date_time, time) |
"field" |
| price_type |
Price Adjustment Type |
Required |
String (fixed, percent) |
"fixed" |
| customer_group_prices |
Customer Group Price |
Required |
CustomOptionCustomerGroupPrice |
Defined in the CustomOptionCustomerGroupPrice section. |
CustomOptionDate:
| Name |
Description |
Required |
Type |
Example Value |
| sku |
SKU Adjustment |
Required |
String |
null |
| price |
Price Adjustment |
Required |
String (field, area, file, drop_down, radio, checkbox, multiple, date, date_time, time) |
"field" |
| price_type |
Price Adjustment Type |
Required |
String (fixed, percent) |
"fixed" |
| customer_group_id |
Customer group ID for specific targeting |
Optional |
Integer (null - All groups, 0 - NOT LOGGED IN, ...) |
null |
| customer_group_prices |
Customer Group Price |
Required |
CustomOptionCustomerGroupPrice |
Defined in the CustomOptionCustomerGroupPrice section. |
| date_offset_max |
Max Day Buffer |
Required |
null |
Integer ( 0 - 29 ) |
| date_offset_max |
Min Day Buffer |
Required |
null |
Integer ( 0 - 29 ) |
CustomOptionDateTime:
| Name |
Description |
Required |
Type |
Example Value |
| sku |
SKU Adjustment |
Required |
String |
null |
| price |
Price Adjustment |
Required |
String (field, area, file, drop_down, radio, checkbox, multiple, date, date_time, time) |
"field" |
| price_type |
Price Adjustment Type |
Required |
String (fixed, percent) |
"fixed" |
| customer_group_id |
Customer group ID for specific targeting |
Optional |
Integer (null - All groups, 0 - NOT LOGGED IN, ...) |
null |
| customer_group_prices |
Customer Group Price |
Required |
CustomOptionCustomerGroupPrice |
Defined in the CustomOptionCustomerGroupPrice section. |
| date_offset_max |
Max Day Buffer |
Required |
null |
Integer ( 0 - 29 ) |
| date_offset_max |
Min Day Buffer |
Required |
null |
Integer ( 0 - 29 ) |
CustomOptionTime:
| Name |
Description |
Required |
Type |
Example Value |
| sku |
SKU Adjustment |
Required |
String |
null |
| price |
Price Adjustment |
Required |
String (field, area, file, drop_down, radio, checkbox, multiple, date, date_time, time) |
"field" |
| price_type |
Price Adjustment Type |
Required |
String (fixed, percent) |
"fixed" |
| customer_group_id |
Customer group ID for specific targeting |
Optional |
Integer (null - All groups, 0 - NOT LOGGED IN, ...) |
null |
| customer_group_prices |
Customer Group Price |
Required |
CustomOptionCustomerGroupPrice |
Defined in the CustomOptionCustomerGroupPrice section. |
CustomOptionDropDown:
| Name |
Description |
Required |
Type |
Example Value |
| values |
Key/Value where key is value id and value is the option value config |
Required |
CustomOptionValue |
Defined in the CustomOptionValue section |
CustomOptionRadio:
| Name |
Description |
Required |
Type |
Example Value |
| values |
Key/Value where key is value id and value is the option value config |
Required |
CustomOptionValue |
Defined in the CustomOptionValue section |
CustomOptionCheckbox:
| Name |
Description |
Required |
Type |
Example Value |
| values |
Key/Value where key is value id and value is the option value config |
Required |
CustomOptionValue |
Defined in the CustomOptionValue section |
CustomOptionMultiple:
| Name |
Description |
Required |
Type |
Example Value |
| values |
Key/Value where key is value id and value is the option value config |
Required |
CustomOptionValue |
Defined in the CustomOptionValue section |
CustomOptionValue:
| Name |
Description |
Required |
Type |
Example Value |
| option_type_id |
Option Type ID |
Required |
Non numeric for new value |
'_1' |
| option_id |
Option its assigned to |
Required |
Non numeric for new option |
'11' |
| title |
The title of the option |
Required |
String |
"Test 1" |
| sku |
SKU Adjustment |
Required |
String |
null |
| price |
Price Adjustment |
Required |
String (field, area, file, drop_down, radio, checkbox, multiple, date, date_time, time) |
"field" |
| price_type |
Price Adjustment Type |
Required |
String (fixed, percent) |
"fixed" |
| customer_group_id |
Customer group ID for specific targeting |
Optional |
Integer (null - All groups, 0 - NOT LOGGED IN, ...) |
null |
| customer_group_prices |
Customer Group Price |
Required |
CustomOptionCustomerGroupPrice |
Defined in the CustomOptionCustomerGroupPrice section. |
| sort_order |
The sort order of the option |
Required |
Integer |
0 |
| zoey_weight |
Weight |
Required |
Integer |
0 |
CustomOptionCustomerGroupPrice:
| Name |
Description |
Required |
Type |
Example Value |
| option_customer_group_price_id |
Option Type ID |
Required |
Non numeric for new value |
'_1' |
| option_id |
Option its assigned to |
Required |
Non numeric for new option |
'11' |
| price |
Price Adjustment |
Required |
String (field, area, file, drop_down, radio, checkbox, multiple, date, date_time, time) |
"field" |
| price_type |
Price Adjustment Type |
Required |
String (fixed, percent) |
"fixed" |
| customer_group_id |
Customer group ID for specific targeting |
Optional |
Integer (null - All groups, 0 - NOT LOGGED IN, ...) |
null |
| sort_order |
The sort order of the option |
Required |
Integer |
0 |
Example request body:
{
"price": "10"
}
Update Bulk
PUT https://container-url.zoeysite.com/api/rest/bulkProducts
Description: Allows you to update multiple products in a single API request.
Authentication: Admin
Default Format: JSON
Success Response Code: 207
Parameters:
A maximum of 500 products can be updated in a single request.
| Name |
Description |
Required |
Type |
Example Value |
| updates |
Array of product updates with product ID as element key. Each element is an array of product updates as defined in the ProductUpdate array when updating a single product. Only provide the ProductUpdate fields that need to be updated. |
required |
array |
See Example Request |
Example request body:
{
"updates": {
"123": {
"description": "Description for product ID 123",
"stock_data": {
"qty": 1
}
},
"456": {
"description": "Description for product ID 456",
"stock_data": {
"qty": 100
}
}
}
}
Delete
DELETE https://container-url.zoeysite.com/api/rest/products/:productId
Description: Allows you to delete an existing product.
Authentication: Admin
Default Format: JSON
Parameters: no parameters
Example request body:
{
"attribute_set_id": "4",
"type_id": "simple",
"sku": "wedding dress",
"name": "Dress_test",
"meta_title": "dress",
"meta_description": "a wedding dress",
"price": "2000.0000",
"weight": "0.5000",
"status": "1",
"visibility": "4",
"enable_googlecheckout": "1",
"tax_class_id": "7",
"description": "dress",
"meta_keyword": "dress, wedding"
}
Types
GET https://container-url.zoeysite.com/api/rest/products/type_ids